=== debian/changelog ===
python-enable (3.3.1-3) unstable; urgency=low

  * debian/control: Add python-enthoughtbase to Depends (Closes: #599479)
  * debian/rules: Do not install setup.py files (Closes: #595785)

 -- Varun Hiremath <varun@debian.org>  Sun, 10 Oct 2010 22:26:28 -0400

python-enable (3.3.1-2) unstable; urgency=low

  * Add patches/fix_exceptions.diff to fix Python string exceptions
    (Closes: #585288)
  * Remove conflicts on python-enthought-chaco2 - no longer needed
  * Bump Standards-Version to 3.9.1

 -- Varun Hiremath <varun@debian.org>  Wed, 11 Aug 2010 01:33:31 -0400

python-enable (3.3.1-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Thu, 03 Jun 2010 01:46:10 -0400

python-enable (3.3.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.4
  * Switch to source format 3.0
  * Update patches/freetype2.diff

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Feb 2010 14:56:36 -0500

python-enable (3.2.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.2
  * Add python-pyrex to Build-Depends

 -- Varun Hiremath <varun@debian.org>  Mon, 20 Jul 2009 02:55:56 -0400

python-enable (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Thu, 26 Mar 2009 20:06:26 -0400

python-enable (3.0.2-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Varun Hiremath ]
  * New upstream release
  * debian/control: add python-setupdocs to Build-Depends

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Dec 2008 22:34:11 -0500

python-enable (3.0.1-1) experimental; urgency=low

  * Initial release

 -- Varun Hiremath <varun@debian.org>  Fri, 12 Dec 2008 16:37:21 -0500
