=== debian/control ===
Source: python-enable
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs, debhelper(>= 7), python-all-dev, python-central,
 python-setuptools, python-setupdocs, python-numpy, python-pyrex, swig,
 libfreetype6-dev, libx11-dev, libglu1-mesa-dev
Standards-Version: 3.9.1
XS-Python-Version: >=2.4
Homepage: http://pypi.python.org/pypi/Enable
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-enable/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-enable/trunk/

Package: python-enable
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-numpy, python-traitsgui, python-enthoughtbase,
 python-wxgtk2.8, python-pkg-resources
XB-Python-Version: ${python:Versions}
Description: Drawing and interaction packages
 The Enable project provides two related multi-platform packages for
 drawing GUI objects.
 .
   * Enable: An object drawing library that supports containment and
     event notification.
   * Kiva: A multi-platform DisplayPDF vector drawing engine.
