=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE		:= .py
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
DEB_INSTALL_CHANGELOGS_ALL      += docs/CHANGES.txt
PYSHARED=$(DEB_DESTDIR)/`pycentral pycentraldir python-enable`
EXAMPLES=$(DEB_DESTDIR)/usr/share/doc/python-enable

install/python-enable::
	find $(DEB_DESTDIR) -name 'LICENSE.txt' -delete
	find $(DEB_DESTDIR) -name 'setup.py' -delete

binary-predeb/python-enable::
	find $(PYSHARED) -type f | xargs sed -i '/^#!/d'
	find $(PYSHARED) -type f | xargs chmod 644
	find $(EXAMPLES) -type f | xargs sed -i '/^#!/d'
	find $(EXAMPLES) -type f | xargs chmod 644
	find $(EXAMPLES) -name 'CHANGES.txt' -delete

get-orig-source:
	-uscan --upstream-version 0 --rename
