## python-enable 4.0.0

=== debian/changelog ===
python-enable (4.0.0-2build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:09:43 +0000

python-enable (4.0.0-2) unstable; urgency=low

  * Update patches/freetype2.diff to fix linking issues with libX11
    (Closes: #639232)

 -- Varun Hiremath <varun@debian.org>  Fri, 26 Aug 2011 22:03:57 -0400

python-enable (4.0.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2
  * Update debian/watch file
  * Remove patches/sike.diff - not needed

 -- Varun Hiremath <varun@debian.org>  Fri, 08 Jul 2011 17:28:49 -0400

python-enable (3.4.1-2) unstable; urgency=low

  * d/rules: fix pyshared directory path

 -- Varun Hiremath <varun@debian.org>  Wed, 06 Apr 2011 19:28:09 -0400

python-enable (3.4.1-1) unstable; urgency=low

  * New upstream release
  * Convert to dh_python2 (Closes: #617002)

 -- Varun Hiremath <varun@debian.org>  Tue, 05 Apr 2011 21:54:28 -0400

python-enable (3.3.2-2) experimental; urgency=low

  * Modify patches/sike.diff - import 'with' keyword to enable
    compilation with python2.5, thanks to Piotr

 -- Varun Hiremath <varun@debian.org>  Thu, 21 Oct 2010 18:07:36 -0400

python-enable (3.3.2-1) experimental; urgency=low

  * New upstream release
  * d/copyright: Remove BSD license references
  * d/control: Add cython to Build-Depends
  * Drop patches/fix_exceptions.diff -- merged upstream
  * Add patches/sike.diff to fix a compilation error

 -- Varun Hiremath <varun@debian.org>  Sun, 17 Oct 2010 23:10:41 -0400
