=== debian/control ===
Source: python-enable
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs (>= 0.4.90~), debhelper(>= 7), python-all-dev (>= 2.6.6-3~),
 python-setuptools, python-setupdocs, python-numpy, python-pyrex, swig,
 libfreetype6-dev, libx11-dev, libglu1-mesa-dev, cython
Standards-Version: 3.9.2
X-Python-Version: >=2.5
Homepage: http://pypi.python.org/pypi/enable
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-enable/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-enable/trunk/

Package: python-enable
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-numpy, python-traitsui, python-wxgtk2.8, python-pkg-resources
Description: Drawing and interaction packages
 The Enable project provides two related multi-platform packages for
 drawing GUI objects.
 .
   * Enable: An object drawing library that supports containment and
     event notification.
   * Kiva: A multi-platform DisplayPDF vector drawing engine.
