=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-DEB_PYTHON_SYSTEM=pycentral
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
@@ -8,8 +6,8 @@
 DEB_COMPRESS_EXCLUDE		:= .py
 DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
 DEB_INSTALL_CHANGELOGS_ALL      += docs/CHANGES.txt
-PYSHARED=$(DEB_DESTDIR)/`pycentral pycentraldir python-enable`
-EXAMPLES=$(DEB_DESTDIR)/usr/share/doc/python-enable
+PYSHARED                         =$(DEB_DESTDIR)/usr/share/pyshared
+EXAMPLES                         =$(DEB_DESTDIR)/usr/share/doc/python-enable
 
 install/python-enable::
 	find $(DEB_DESTDIR) -name 'LICENSE.txt' -delete
@@ -23,4 +21,4 @@
 	find $(EXAMPLES) -name 'CHANGES.txt' -delete
 
 get-orig-source:
-	-uscan --upstream-version 0 --rename
+	-uscan --force-download --rename
