## python-enable 4.1.0

=== debian/changelog ===
python-enable (4.1.0-1ubuntu3) trusty; urgency=medium

  * Let the binary-predeb target work on the usr/lib/python* directory as we
    don't have usr/share/pyshared anymore.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2014 16:22:29 +0100

python-enable (4.1.0-1ubuntu2) quantal; urgency=low

  * Undo changes from -1ubuntu1 as the reason for them got reverted.
    The package can be synced on next occasion.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 01 Oct 2012 18:36:05 +0200

python-enable (4.1.0-1ubuntu1) quantal; urgency=low

  * debian/rules:
    Let the binary-predeb target work on the usr/lib/python* directory as we
    don't have usr/share/pyshared anymore.

 -- Michael Bienia <geser@ubuntu.com>  Sun, 20 May 2012 15:25:21 +0200

python-enable (4.1.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3
  * Add d/pydist-overrides: "pil python-imaging"

 -- Varun Hiremath <varun@debian.org>  Mon, 23 Apr 2012 15:46:30 -0400
