=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: python-enable
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: cdbs (>= 0.4.90~), debhelper(>= 7), python-all-dev (>= 2.6.6-3~),
  python-setuptools, python-setupdocs, python-numpy, python-pyrex, swig,
  libfreetype6-dev, libx11-dev, libglu1-mesa-dev, cython
-Standards-Version: 3.9.2
-X-Python-Version: >=2.5
+Standards-Version: 3.9.3
+X-Python-Version: >=2.6
 Homepage: http://pypi.python.org/pypi/enable
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-enable/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-enable/trunk/
